<?php
//$Id:

/**
 * Callback function default storage engine
 * @return html
 */
function fast_gallery_default_config() {
  return drupal_get_form('fast_gallery_default_config_form');
}

/**
 * Form definition for default storage engine configuration
 * @return array
 */
function fast_gallery_default_config_form() {
  $items = array();
  $items['fg_folder_first'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display folders first'),
    '#default_value' => variable_get('fg_folder_first', FALSE),
    '#description' => t('If checked folders will be displayed first'),
  );
  return system_settings_form($items);
}